Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members Related Pages

# aka2::expat_deserializer Class Reference

XML deserializer by using expat SAX parser. More...

`#include <expat_deserializer.h>`

Inheritance diagram for aka2::expat_deserializer:

[legend]
Collaboration diagram for aka2::expat_deserializer:

[legend]
List of all members.

## Public Methods
virtual document | deserialize (std::istream &istm)
virtual document | deserialize (const char *doc)
virtual document | deserialize (const std::string &doc)
virtual document | deserialize_stdin ()
virtual document | deserialize_file (const std::string &filename)

## Detailed Description

XML deserializer by using expat SAX parser.

Definition at line 19 of file expat_deserializer.h.

## Member Function Documentation

virtual document aka2::expat_deserializer::deserialize | ( | const std::string & | doc | ) | `[virtual]`

  | Deserialize XML document. Parameters:
  doc | input source as string
  Returns: parsed document Exceptions:
  aka2::error | any deserialization exception
Implements aka2::deserializer.

virtual document aka2::expat_deserializer::deserialize | ( | const char * | doc | ) | `[virtual]`

  | Deserialize XML document. Parameters:
  doc | input source
Returns: parsed document Implements aka2::deserializer.

virtual document aka2::expat_deserializer::deserialize | ( | std::istream & | istm | ) | `[virtual]`

  | Deserialize XML document. Parameters:
  istm | input source
  Returns: parsed document Exceptions:
  aka2::error | any deserialization exception
Implements aka2::deserializer.

virtual document aka2::expat_deserializer::deserialize_file | ( | const std::string & | filename | ) | `[virtual]`

  | Deserialize XML document. Parameters:
  filename | file path of input XML document.
  Returns: parsed document. Exceptions:
  aka2::error | any deserialization exception.
Implements aka2::deserializer.

virtual document aka2::expat_deserializer::deserialize_stdin | ( |  | ) | `[virtual]`

  | Deserialize XML document from stdin. Returns: parsed document. Exceptions:
  aka2::error | any deserialization exception.
Implements aka2::deserializer.

The documentation for this class was generated from the following file:

- expat_deserializer.h